/* LunarSummary: a stupid program to call Lunar::summaryPHL on behalf
 * of the PHP dvaa.org page.
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include "ObsInfo.h"
#include "Lunar.h"

#undef LS_DEBUG

void usage(const char* pProg) {
  fprintf( stderr, "usage: %s [-lon <lon> -lat <lat> -tz <tz offset>] [-h]\n\nwhere\n"
                   "       lon = decimal longitude, west positive (-180.0 ... 180.0)\n"
                   "       lat = decimal latitude, north positive (-90.0 ... 90.0)\n"
                   "       tz = offset from UTC (-12 ... 12)\n"
                   "       -h to output in HTML-friendly format (<BR> vs. \\n, etc.)\n",
                   pProg);
  exit(1);
}

int main(int argc, char** argv) {
  bool doHtml = false;
  double lon = -75.15, lat = 40.0;  // Phila, PA
  int tz = -5;                      // Phila, PA

  for (int i = 1; i < argc; i++ ) {
    if ( '-' != argv[i][0] )
      usage( argv[0] );
    else
    switch (argv[i][1]) {
    case 'h':
      doHtml = true;
      break;
    case 'l':
      if ( 'a' == argv[i][2] && 't' == argv[i][3]) {
        if ( ++i < argc )
          lat = atof( argv[i] );
      }
      else if ( 'o' == argv[i][2] && 'n' == argv[i][3]) {
        if ( ++i < argc )
          lon = atof( argv[i] );
      }
      break;
    case 't':
    {
      if ( ++i < argc )
        tz = atoi( argv[i] );
      break;
    }
    default:
      usage( argv[0] );
    } // end switch()
  }

  int lun, days;
  char buf[256];
  ObsInfo oi(lon, lat, tz);
  Lunar::summary( days, lun, buf, oi, doHtml );
  const char* p = doHtml ? "\n" : "";

  printf( "%s%s../images/moon/moon%02d.jpg\nLunation %d\n", buf, p, days, lun);

  #if defined (LS_DEBUG)

  printf( "\n\nlon=%f, lat=%f, tz=%d\n", lon, lat, tz );

  #endif
}

